<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');
class Jstar_shopModelCustomfields extends JModelList
{ 
	public function __construct($config = array())
	{ 
                $config['filter_fields'] = array(
					'ordering','fields.ordering',
					'category','b.title',
					'title','fields.title',
					'type','fields.type',
					'groupfield','c.title'
                );
		parent::__construct($config);
	}
	protected function populateState($ordering = null, $direction = null)
	{
		// Initialise variables.
			$app		= JFactory::getApplication();

		// Adjust the context to support modal layouts.
			if (JFactory::getApplication()->input->get('layout', null, 'string')) {
				@$this->context .= '.'.$layout;
			}
		$search = $this->getUserStateFromRequest($this->context.'.filter.search', 'filter_search');
		$this->setState('filter.search', $search);
		
		$catsearch = $this->getUserStateFromRequest($this->context.'.filter.categoryid', 'filter_categoryid');
		$this->setState('filter.categoryid', $catsearch);
		
		$typesearch = $this->getUserStateFromRequest($this->context.'.filter.type', 'filter_type');
		$this->setState('filter.type', $typesearch);
		
		$groupsearch = $this->getUserStateFromRequest($this->context.'.filter.group', 'filter_group');
		$this->setState('filter.group', $groupsearch);
		
		parent::populateState('fields.ordering', 'ASC');
	}
	/**
	 * Build an SQL query to load the list data.
	 */
	 
	protected function getListQuery()
	{
		// Create a new query object.
			$db				= $this->getDbo();
			$query			= $db->getQuery(true);

		// Select the required fields from the table.
				
			$query->select( '`fields`.*' );
			$query->from( '`#__jstar_shop_customfields` as `fields`' );
			$query->select('`b`.`title` AS `category`')
				 ->join('LEFT', '`#__categories` AS `b` on `b`.`id` = `fields`.`catid`');
			$query->select('`c`.`title` AS `groupfield`')
				 ->join('LEFT', '`#__jstar_shop_group_fields` AS `c` on `fields`.`group_id` = `c`.`id`');
    	// Filter by search in title
    	$search = $this->getState('filter.search');
    	if (!empty($search)) {
    			$search = $db->Quote('%'.$db->escape($search, true).'%');
    			$query->where('(
    					`fields`.`title` LIKE '.$search.'
						OR `fields`.`value` LIKE '.$search.'
    			)');
    		}
			
		$catsearch			= $this->getState('filter.categoryid');
		if ($catsearch !='' ) {
				$catsearch = $db->quote($db->escape($catsearch, true));
				$query->where('`fields`.`catid` = '.$catsearch);
		}
		
		$typesearch			= $this->getState('filter.type');
		if ($typesearch !='' ) {
				$typesearch = $db->quote($db->escape($typesearch, true));
				$query->where('`type` = '.$typesearch);
		} 
			
		$groupsearch			= $this->getState('filter.group');
		if ($groupsearch !='' ) {
				$typesearch = $db->quote($db->escape($groupsearch, true));
				$query->where('`group_id` = '.$groupsearch);
		} 
			
			$orderCol = $this->state->get('list.ordering');
			$orderDirn = $this->state->get('list.direction');
			$query->order($db->escape($orderCol.' '.$orderDirn));
			return $query;
	}
	
 public function getparents()
    {
		
		$categories = JCategories::getInstance('jstar_shop');
		$catID = JFactory::getApplication()->input->get('catid');
		$category = $categories->get($catID);
		$p = $category->getParent()->id; 
		if($p != 'root'){
			$parentid[] = $p;
		} else {
			$parentid[] = $catID ;
		} 
		while($p != 'root'){
			$category = $categories->get($p);
			$p = $category->getParent()->id;
			if($p != 'root'){
				$parentid[] = $p;
			}
		} 
		$parentid[] = $catID;
        return $parentid;
    }
	
	public function getCustomfields(){ 
		$db				= $this->getDbo();
		$a = $this->getparents();
		$idstr = $this->getparents();
		$idstr = array_map('intval', $idstr);
		$idstr = implode(',',$idstr);
		$idstr = $db->escape($idstr);
		$query = "SELECT `a`.*,`b`.`title` AS `group2`,`b`.`id` AS `bid` FROM `#__jstar_shop_customfields` AS `a` LEFT JOIN `#__jstar_shop_group_fields` AS `b` ON `a`.`group_id` = `b`.`id`  WHERE `a`.`catid` IN ($idstr) ORDER BY `b`.`id`"; 
		$db->setQuery( $query );
		$rows = $db->LoadObjectList();
		return $rows;
		
	}
	
	public function getAllgroupfields(){ 
		$db				= $this->getDbo();
		$query = "SELECT * FROM `#__jstar_shop_group_fields`"; 
		$db->setQuery( $query );
		$rows = $db->LoadObjectList();
		return $rows;
	}
}
?>
