<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die;
$app = JFactory::getApplication();
if ($app->isSite())
{
	JSession::checkToken('get') or die(JText::_('JINVALID_TOKEN'));
}
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.framework', true);
JHtml::_('formbehavior.chosen', 'select');
$options        = array();
$options[]      = JHtml::_('select.option', '2', JText::_('COM_JSTAR_SHOP_LISTBOX'));
$options[]      = JHtml::_('select.option', '3', JText::_('COM_JSTAR_SHOP_RADIO'));
$options[]      = JHtml::_('select.option', '4', JText::_('COM_JSTAR_SHOP_CHECKBOX'));

$options2        = array();
foreach($this->allgroupfields as $allgroupfields) {
	$options2[]      = JHtml::_('select.option', $allgroupfields->id, $allgroupfields->title);

}

$function  = $app->input->getCmd('function', 'jSelectField');
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn  = $this->escape($this->state->get('list.direction'));
?>
<form action="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=customfields&layout=modal&tmpl=component&function=' . $function . '&' . JSession::getFormToken() . '=1');?>"
      method="post" name="adminForm" id="adminForm" class="form-inline">
		<div class="filter-search btn-group pull-left">
     
			<select name="filter_categoryid" class="input-medium" onchange="this.form.submit()" style="margin-right:20px;">
				<option value=""><?php echo JText::_('JOPTION_SELECT_CATEGORY');?></option>
				<?php echo JHtml::_('select.options', JHtml::_('category.options', 'com_jstar_shop'), 'value', 'text', $this->state->get('filter.categoryid'));?>
			</select>
            
            <select name="filter_type" class="inputbox" onchange="this.form.submit()" style="margin-right:20px; width:150px">
                        <option value=""><?php echo JText::_('COM_JSTAR_SHOP_SELECT_TYPE');?></option>
                        <?php echo JHtml::_('select.options', $options, 'value', 'text', $this->state->get('filter.type'), true);?>
            </select>
            
            <select name="filter_group" class="inputbox" onchange="this.form.submit()" style="margin-right:20px; width:150px; float:right">
                        <option value=""><?php echo JText::_('COM_JSTAR_SHOP_SELECT_GROUP');?></option>
                        <?php echo JHtml::_('select.options', $options2, 'value', 'text', $this->state->get('filter.group'), true);?>
            </select>
            
		</div>
		<div class="clearfix"> </div>

	<?php if (empty($this->items)) : ?>
		<div class="alert alert-no-items">
			<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
		</div>
	<?php else : ?>
		<table class="table table-striped table-condensed">
			<thead>
				<tr>
					<th class="title">
						<?php echo JHtml::_('grid.sort', 'JGLOBAL_TITLE', 'fields.title', $listDirn, $listOrder); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="15">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php foreach ($this->items as $i => $item) :
				if($item->type != 1){
			 ?>
				
				<tr class="row<?php echo $i % 2; ?>">
					<td>
						<a href="javascript:void(0)" onclick="if (window.parent) window.parent.<?php echo $this->escape($function);?>('<?php echo $item->id; ?>', '<?php echo $this->escape(addslashes($item->title)); ?>');">
							<?php echo $this->escape($item->title); ?></a>
					</td>
                </tr>
                <?php } ?>
			<?php endforeach; ?>
			</tbody>
		</table>
	<?php endif; ?>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>