<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');
$pid = JFactory::getApplication()->input->get('pid', 0, 'int');
if(!isset($pid) || trim($pid) == '' || $pid == NULL){
	$app = JFactory::getApplication();
	$app->enqueueMessage(JText::_('COM_JSTAR_SHOP_SELECT_PRODUCT_FIRST'), 'error');
	$app->redirect(JRoute::_('index.php?option=com_jstar_shop&view=products'));
}
$user = JFactory::getUser();
$canOrder = $user->authorise('core.edit.state', 'com_jstar_shop');
$saveOrder = $this->sortColumn == 'multicosts.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_jstar_shop&task=multicosts.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'multicostsList', 'adminForm', strtolower($this->sortDirection), $saveOrderingUrl);
}
$db = JFactory::getDBO();
function getparents($catID){
	$db = JFactory::getDBO();
	$catID = $db->escape($catID);
	$query = "SELECT `parent`.`id` FROM `#__categories` AS `node`, `#__categories` AS `parent` WHERE `node`.`lft` BETWEEN `parent`.`lft` AND `parent`.`rgt` AND `node`.`id` = '$catID' ORDER BY `parent`.`lft` ";
	$db->setQuery( $query );
	$parentid = $db->LoadColumn();
	return $parentid;
}
$pid = $db->escape($pid);
$query = "SELECT `catid` FROM `#__jstar_shop_products` WHERE `id` = '$pid'";
$db->SetQuery($query);
$catid = $db->LoadResult();

$idstr = getparents($catid); 
$idstr = implode(',',$idstr); 
$idstr = $db->escape($idstr);
$query = "SELECT `id` FROM `#__jstar_shop_customfields` WHERE catid IN ($idstr) AND multi = 1"; 
$db->setQuery( $query );
$rows = $db->LoadColumn();
if(empty($rows)){
	$msg = '<div id="system-message-container" class="j-toggle-main span12">
				<div class="alert alert-error">
					<button type="button" class="close" data-dismiss="alert">×</button>
						<h4 class="alert-heading">پیغام</h4>
							<div class="alert-message">'.JText::_('COM_JSTAR_SHOP_NO_PRO_MULTI_FIELD').'</div>
				</div>
			</div>';
	echo $msg; 
} else {
	$query = "SELECT `title` FROM `#__jstar_shop_products` WHERE `id` = '$pid'"; 
	$db->SetQuery($query);
	$ptitle = $db->LoadResult();
	$msg = '<div id="system-message-container" class="j-toggle-main span12">
				<div class="alert alert-success">
					<button type="button" class="close" data-dismiss="alert">×</button>
						<h4 class="alert-heading">پیغام</h4>
							<div class="alert-message">'.JText::_('COM_JSTAR_SHOP_MULTI_COST_LIST').$ptitle.'</div>
				</div>
			</div>';
	echo $msg; 

?>
<script type="text/javascript">
Joomla.orderTable = function()
{
table = document.getElementById("multicostsList");
direction = document.getElementById("directionTable");
order = table.options[table.selectedIndex].value;
if (order != '<?php echo $this->sortColumn; ?>')
{
dirn = 'asc';
}
else
{
dirn = direction.options[direction.selectedIndex].value;
}
Joomla.tableOrdering(order, dirn, '');
}
</script>
<style>
nav.navbar{
	display:none !important;
}
header.header{
	display:none !important;
}
</style>
<form action="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=multicosts&pid='.$pid); ?>" method="post" name="adminForm" id="adminForm" style="width:100%">
<?php if (!empty( $this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
<?php endif;?>
	<div id="j-main-container" class="span12">
		<div id="filter-bar" class="btn-toolbar">
            <div class="btn-group pull-right hidden-phone">
            <label for="limit" class="element-invisible">
            <?php echo JText::_
            ('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?>
            </label>
            <?php echo $this->pagination->getLimitBox(); ?>
            </div>
		<div class="filter-search btn-group pull-left">
		</div>
		<div class="clearfix"> </div>
      </div>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
	<table class="table table-striped" id="multicostsList">
    <thead>
    	<tr style="background:none" >
                    <th class="nowrap center" style="width:10%"><?php echo JText::_('COM_JSTAR_SHOP_FIELD_ROW_LABEL'); ?></th>
                    <th width="1%" class="nowrap center hidden-phone">
                       <a data-original-title="<?php echo JText::_('JGRID_HEADING_ORDERING') ?>" href="#" onclick="Joomla.tableOrdering('multicosts.ordering','asc','');return false;" class="hasTooltip" title=""><i class="icon-menu-2"></i></a>	
                    </th>         
					<th width="1%" class="nowrap center"><?php echo JHtml::_('grid.checkall'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_MULTICOSTS_VALUES'); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_COST1', 'cost1',$this->sortDirection, $this->sortColumn ); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_COST2', 'cost2',$this->sortDirection, $this->sortColumn ); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_STATUS_PRODUCT', 'status',$this->sortDirection, $this->sortColumn ); ?></th>
        </tr>
     </thead>
        <tfoot>
        <tr>
        <td colspan="7"><?php echo $this->pagination->getListFooter(); ?>
        </td>
        </tr>
        </tfoot>
			<?php $k = 1;
			foreach ($this->items as $i => $item) : ?>
				<tr class="row<?php echo $i % 2; ?>">
                    <td class="center">
                        <?php echo $k; ?>
                    </td>
                    <td class="order nowrap center hidden-phone">
                    <?php
                    $disableClassName = '';
                    $disabledLabel = '';
                    if (!$saveOrder) :
                    $disabledLabel = JText::_('JORDERINGDISABLED');
                    $disableClassName = 'inactive tip-top';
                    endif; ?>
                    <span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
                    <i class="icon-menu"></i>
                    </span>
                    <input type="text" style="display:none" name="order[]"
                    size="5" value="<?php echo $item->ordering;?>" class="width-20 textarea-order " />
                    </td>                            
                    <td class="center">
                        <?php echo JHtml::_('grid.id',   $i, $item->id)?>
                    </td>
                    <td class="center">
                    <a href="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=multicost&layout=edit&id='.$item->id.'&pid='.$pid); ?>">
                        <?php echo $this->escape($item->values); ?>
                    </a>
                    </td>
                    <td class="center">
                        <?php echo $this->escape($item->cost1); ?>
                    </td>
                    <td class="center">
                        <?php echo $this->escape($item->cost2); ?>
                    </td>
                    <td class="center">
                        <?php if($item->status == 0) {
                            echo JText::_('COM_JSTAR_SHOP_STATUS0');
                        } else {
                            echo JText::_('COM_JSTAR_SHOP_STATUS1');
                        } ?>
                    </td>
				</tr>
			<?php $k++; endforeach; ?>
		</tbody>
	</table>
	<?php endif; ?>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortDirection; ?>" />
    	<?php echo JHtml::_('form.token'); ?>
	</div>
  </div>
</form>
<?php } ?>
